Forum Discussion

skhater's avatar
skhater
Visitor
9 years ago
Solved

How to use the Collaborator Eclipse plugin with the Subversive SVN Eclipse Plugin?

Hello,

I am currently trying to use the Collaborator Eclipse plugin with the SVN Plugin. However, I am facing a little problem. When I try to use the "Add to Review" command on a file from a project checked out from the SVN repository, nothing happens and the log indicates that an exception was thrown "Parameter 'fileName' must not be null or empty". Our Repository contains a number of projects, instead of just being limited to one. Normally, I add the repository location to point to the root of the repository (svn://TestRepo). However, when I change it to point to the project folder instead (svn://TestRepo/TestProject), the "Add to Review" command works normally. Is this normal behaviour, or is there something I am mising here?

 

Kindly find below the Error log:

java.lang.IllegalArgumentException: Parameter 'fileName' must not be null or empty
	at org.apache.commons.lang.Validate.notEmpty(Validate.java:321)
	at com.smartbear.scm.impl.subversion.Info.<init>(Info.java:53)
	at com.smartbear.collaborator.subversive.SVNConnectorSubversionClient.toInfo(SVNConnectorSubversionClient.java:189)
	at com.smartbear.collaborator.subversive.SVNConnectorSubversionClient.access$0(SVNConnectorSubversionClient.java:163)
	at com.smartbear.collaborator.subversive.SVNConnectorSubversionClient$2$1.next(SVNConnectorSubversionClient.java:127)
	at org.polarion.team.svn.connector.javahl.ConversionUtility$4.singleInfo(ConversionUtility.java:326)
	at org.apache.subversion.javahl.SVNClient.info2(Native Method)
	at org.polarion.team.svn.connector.javahl.JavaHLConnector.info(JavaHLConnector.java:1727)
	at org.eclipse.team.svn.core.extension.factory.ThreadNameModifier.info(ThreadNameModifier.java:706)
	at com.smartbear.collaborator.subversive.SVNConnectorSubversionClient$2.run(SVNConnectorSubversionClient.java:121)
	at com.smartbear.collaborator.subversive.SVNConnectorSubversionClient$2.run(SVNConnectorSubversionClient.java:1)
	at com.smartbear.collaborator.subversive.SVNConnectorSubversionClient.run(SVNConnectorSubversionClient.java:490)
	at com.smartbear.collaborator.subversive.SVNConnectorSubversionClient.info(SVNConnectorSubversionClient.java:117)
	at com.smartbear.collaborator.subversive.SVNConnectorSubversionClient.info(SVNConnectorSubversionClient.java:102)
	at com.smartbear.scm.impl.subversion.SubversionClientConfiguration.create(SubversionClientConfiguration.java:523)
	at com.smartbear.scm.impl.subversion.SubversionSystem.getClientConfiguration(SubversionSystem.java:151)
	at com.smartbear.collaborator.ui.subversive.SubversiveClientConfigurationFactory.getClientConfiguration(SubversiveClientConfigurationFactory.java:42)
	at com.smartbear.collaborator.ui.subversive.SubversiveClientConfigurationFactory.getClientConfiguration(SubversiveClientConfigurationFactory.java:34)
	at com.smartbear.collaborator.team.ClientConfigurationManager.getClientConfigFor(ClientConfigurationManager.java:90)
	at com.smartbear.collaborator.team.ClientConfigurationManager.isSupportedSCM(ClientConfigurationManager.java:137)
	at com.smartbear.collaborator.ui.ide.actions.AddResourcesToReviewHandler.execute(AddResourcesToReviewHandler.java:128)
	at org.eclipse.ui.internal.handlers.HandlerProxy.execute(HandlerProxy.java:290)
	at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute(E4HandlerProxy.java:90)
	at sun.reflect.GeneratedMethodAccessor24.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:56)
	... 82 more

 

  • This looks like a bug that was fixed in version 8.5.8502:

     

    fixed — Eclipse: error with svnkit 1.7+ (COLLAB-545)

     

    Please try upgrading, and see if that helps. 

     

    Thanks,

    Rick

     

    SmartBear Customer Care

1 Reply

  • This looks like a bug that was fixed in version 8.5.8502:

     

    fixed — Eclipse: error with svnkit 1.7+ (COLLAB-545)

     

    Please try upgrading, and see if that helps. 

     

    Thanks,

    Rick

     

    SmartBear Customer Care